/**
 *  beep plugin for the Video Disk Recorder 
 *
 *  setup.c  -  Setup
 *
 *  (c) 2004 Andreas Brachold <vdr04 AT deltab de>
 **/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program;                                              *
 *   if not, write to the Free Software Foundation, Inc.,                  *
 *   59 Temple Place, Suite 330, Boston, MA  02111-1307  USA               *
 *                                                                         *
 ***************************************************************************/

#include <string.h>
#include <stdlib.h>
#include "setup.h"


cNotifyBeepSetup NotifyBeepSetup;

// Some Limits
const int cNotifyBeepSetup::freq_min = 1;
const int cNotifyBeepSetup::freq_max = 10000;
const int cNotifyBeepSetup::duration_min = 1;
const int cNotifyBeepSetup::duration_max = 10000;


cNotifyBeepSetup::cNotifyBeepSetup(void) {
  active = true;
  freq = 444;
  duration = 333;
  strncpy(NotifyBeepSetup.console,"/dev/console",sizeof(NotifyBeepSetup.console));
  onshutdown = 1;
  oneditprocess = 1;
  onanymessage = 0;
}

cNotifyBeepSetup::~cNotifyBeepSetup(void)
{
}
