/**
 *  beep plugin for the Video Disk Recorder 
 *
 *  setup.h  -  Setup
 *
 *  (c) 2004 Andreas Brachold <vdr04 AT deltab de>
 **/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program;                                              *
 *   if not, write to the Free Software Foundation, Inc.,                  *
 *   59 Temple Place, Suite 330, Boston, MA  02111-1307  USA               *
 *                                                                         *
 ***************************************************************************/

#ifndef _NOTIFYBEEP_SETUP_H_
#define _NOTIFYBEEP_SETUP_H_



class cNotifyBeepSetup {
public:
  // Some limits
  static const int freq_min;
  static const int freq_max;
  static const int duration_min;
  static const int duration_max;
  // general feature
  int           active;
  int            freq;
  int            duration;
  char           console[128];
  // selected feature
  int           onshutdown;
  int           oneditprocess;
  int           onanymessage;
public:
  cNotifyBeepSetup(void);
  virtual ~cNotifyBeepSetup(void);
};


extern cNotifyBeepSetup NotifyBeepSetup;

#endif
